<?php
/*
		[FuShow.cn] (C) 2013-2014 HXWY Inc.
		FuShow Friend V3.0				Id: magic_superstar.php
		Email <service@fushow.cn>		http://fushow.cn/
*/

if(!defined('IN_FUSHOW')) {
	exit('Access Denied');
}

//超级明星
if(submitcheck("usesubmit")) {

	$_POST['star'] = intval($_POST['star']);
	$expire = $_SGLOBAL['timestamp'] + ($magic['custom']['effectivetime'] ? $magic['custom']['effectivetime'] : 604800);
	updatetable("spacefield", array('magicstar'=>$_POST['star'], 'magicexpire'=>$expire), array('uid'=>$_SGLOBAL['supe_uid']));

	magic_use($mid, array('expire'=>$expire), true);
	showmessage('magicuse_success', $_POST['refer'], 0);
}

?>